Subject: WUFTPD won't run on Solaris - HELP

From: [email-masked] (Ken Hall)
Date: Thu, 12 Jun 1997 15:04:48 PDT

I am running Solaris 2.5.1 on a SPARC 10 on DNS.

I have compiled the 2.4 version using both GCC,  and
the Sun complier.

Setup my inetd.conf file:

ftp	stream	tcp	nowait	root	/usr2/wuftpd24/bin/fptd	ftpd -l

Executed ckconfig:

ckconfig
Checking _PATH_FTPUSERS :: /etc/ftpusers
ok.
Checking _PATH_FTPACCESS :: /usr/local/etc/ftpaccess
ok.
Checking _PATH_PIDNAMES :: /usr/local/daemon/ftpd/ftp.pids-%s
ok.
Checking _PATH_CVT :: /usr/local/etc/ftpconversions
ok.
Checking _PATH_XFERLOG :: /usr/adm/xferlog
I can't find it... 
Don't worry, it will be created automatically by the
server if you do transfer logging.
Checking _PATH_PRIVATE :: /etc/ftpgroups
ok.
Checking _PATH_FTPHOSTS :: /usr/local/etc/ftphosts
ok.

Did a kill -1 ### < the inetd process 

Now every time I attempt to ftp to my machine
the following is logged:

Jun 12 17:26:20 boscoe ftpd[518]: setsockopt (SO_OOBINLINE): Invalid argument
Jun 12 17:26:20 boscoe ftpd[518]: fcntl F_SETOWN: Invalid argument
Jun 12 17:26:45 boscoe ftpd[518]: exiting on signal 20

Can anyone point out what I need to change???

Thanks,
/Ken

PS: If I change back to the SUN in.ftpd all is well but I need the functionallity offered by
    the WUFTPD.